/**
 * Created on Dec 28, 2003 by Radu Coravu
 */
package ro.raducora.samples.swing;

import java.awt.Dimension;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import javax.swing.UIManager;

/**
 * @author Radu Coravu
 *  
 */
public class ClientTabbedPane extends JTabbedPane {

  ClientTabbedPane() {
    super(JTabbedPane.BOTTOM);

    DBConnectTab tab0 = new DBConnectTab();
    DBTableTab tab1 = new DBTableTab();
    tab0.setParentAndChild(this,tab1);
    tab1.setParentAndStatus(this, tab0.getStatus());
    addTab("Connect to DB", tab0);
    addTab("Table Query", tab1);

  }

  /**
   * @param args
   */
  public static void main(String[] args) {
    try {
      //set Windows LF
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    } catch (Exception e) {
      e.printStackTrace();
    }

    JFrame mainFrame = new JFrame("Client DBAbstract Query");
    mainFrame.setSize(new Dimension(600, 400));
    mainFrame.getContentPane().add(new ClientTabbedPane());
    mainFrame.setLocation(java.awt.Toolkit.getDefaultToolkit().getScreenSize().width / 2
        - mainFrame.getWidth() / 2, java.awt.Toolkit.getDefaultToolkit().getScreenSize().height / 2
        - mainFrame.getHeight() / 2);
    mainFrame.addWindowListener(new WindowAdapter() {

      public void windowClosing(WindowEvent e) {
        System.exit(1);

      }
    });
    mainFrame.setVisible(true);
  }
}
