/*
 * RSTableModel.java
 * 
 * Copyright 2004 Coravu Publications All Rights Reserved.
 * 
 * This file is part of the DBAbstract Project.
 * 
 * The DBAbstract Project is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * The DBAbstract Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * the DBAbstract Project if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * http://www.raducora.ro
 * 
 * CONTACT: email = radu_coravu@sync.ro
 */
package ro.raducora.samples.swing;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.util.Vector;

import javax.swing.table.DefaultTableModel;

/**
 * @author Radu Coravu <br>
 * 
 * Created on 04.04.2004
 */
public class RSTableModel extends DefaultTableModel {

  /**
   * Add a ResultSet object to table rows
   * 
   * @param resultSet
   *          the ResultSet
   * @throws SQLException
   */
  public void addResultSet(ResultSet resultSet) throws SQLException {
    ResultSetMetaData metaData = resultSet.getMetaData();
    
    Vector columns=new Vector();
    Vector rows=new Vector();
    for (int i = 1; i <= metaData.getColumnCount(); i++) {
      columns.add(metaData.getColumnName(i));
    }
    
    while (resultSet.next()) {
      Vector row = new Vector();
      for (int i = 1; i <= metaData.getColumnCount(); i++) {
        row.add(resultSet.getString(metaData.getColumnName(i)));
      }
      rows.add(row);
    }
    setDataVector(rows,columns);

  }

}
