/*
 * Created on 13.02.2004
 *			by Radu Coravu
 */
package ro.raducora.test;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Vector;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

import ro.raducora.utils.encryption.key.RC4EncryptionKey;
import ro.raducora.utils.encryption.key.StreamEncryptionKey;
import ro.raducora.utils.encryption.stream.DecryptedInputStream;
import ro.raducora.utils.encryption.stream.EncryptedOutputStream;

/**
 * @author Radu Coravu
 *  
 */
public class testZips {

    /**
     * @param args
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {
        String key = "12345678910";

        //2 keys
        StreamEncryptionKey encKey1 = new RC4EncryptionKey();
        encKey1.setKey(key);
        StreamEncryptionKey decKey1 = new RC4EncryptionKey();
        decKey1.setKey(key);

        Vector vect = null;
        vect = new Vector(10);
        for (int i = 0; i < 1000; i++) {
            vect.add(new String("" + System.currentTimeMillis()));
        }

        //write to gzipped output stream
       // ByteArrayOutputStream byteStr = new ByteArrayOutputStream();
        GZIPOutputStream outZip = new GZIPOutputStream(
                new BufferedOutputStream(new EncryptedOutputStream(
                        new FileOutputStream("test/vect.gzip"), encKey1)));
        ObjectOutputStream gzipStream = new ObjectOutputStream(outZip);
        long begin = System.currentTimeMillis();
        gzipStream.reset();
        gzipStream.writeObject(vect);
        outZip.finish();
        gzipStream.flush();
        gzipStream.close();
        long end = System.currentTimeMillis();
        System.out.println("Time Elapsed for gzipping=" + (end - begin));

        //now gunzip
        ObjectInputStream gunzipStream = new ObjectInputStream(
                new GZIPInputStream(new BufferedInputStream(
                        new DecryptedInputStream(new FileInputStream(
                                "test/vect.gzip"), decKey1))));
        begin = System.currentTimeMillis();
        //Object obj;// = gunzipStream.readObject();
        //System.out.println(obj);
        gunzipStream.close();
        end = System.currentTimeMillis();
        System.out.println("Time Elapsed for gunzipping=" + (end - begin));

        //write to plain stream
        ObjectOutputStream plainStream = new ObjectOutputStream(
                new FileOutputStream("test/vect.plain"));
        begin = System.currentTimeMillis();
        plainStream.reset();
        plainStream.writeObject(vect);
        plainStream.flush();
        plainStream.close();
        end = System.currentTimeMillis();
        System.out.println("Time Elapsed for plain=" + (end - begin));

        //now read from plain
        ObjectInputStream unplainStream = new ObjectInputStream(
                new FileInputStream("test/vect.plain"));
        begin = System.currentTimeMillis();
        //obj = unplainStream.readObject();
        //System.out.println(obj);
        unplainStream.close();
        end = System.currentTimeMillis();
        System.out.println("Time Elapsed for unplain=" + (end - begin));

        //write to plain stream with RC4 encription
        encKey1 = new RC4EncryptionKey();
        encKey1.setKey(key);
        decKey1 = new RC4EncryptionKey();
        decKey1.setKey(key);

        ObjectOutputStream plainStream2 = new ObjectOutputStream(
                new EncryptedOutputStream(new FileOutputStream(
                        "test/vect.plain"), encKey1));
        begin = System.currentTimeMillis();
        plainStream2.reset();
        plainStream2.writeObject(vect);
        plainStream2.flush();
        plainStream2.close();
        end = System.currentTimeMillis();
        System.out.println("Time Elapsed for plain with encription="
                + (end - begin));

        //now read from plain with RC4 decription
        ObjectInputStream unplainStream2 = new ObjectInputStream(
                new DecryptedInputStream(
                        new FileInputStream("test/vect.plain"), decKey1));
        begin = System.currentTimeMillis();
        //obj = unplainStream2.readObject();
        //System.out.println(obj);
        unplainStream2.close();
        end = System.currentTimeMillis();
        System.out.println("Time Elapsed for unplain with decription="
                + (end - begin));

    }
}
