/*
 * Read.java
 * 
 * Copyright 2004 Coravu Publications All Rights Reserved.
 * 
 * This file is part of the DBAbstract Project.
 * 
 * The DBAbstract Project is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * The DBAbstract Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * the DBAbstract Project; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * http://www.raducora.ro
 * 
 * CONTACT: email = radu_coravu@sync.ro
 */
package ro.raducora.utils.io;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * @author Radu Coravu
 *  
 */
public class Read {

  /**
   * Reads single lines from console
   * 
   * @return String the read line
   */
  public static String Line() {
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    String s = "";
    try {
      s = in.readLine();
    } catch (Exception e) {
      s = "";
    }
    return s;
  }

  /**
   * Reads single lines from console but first prints the message toPrint
   * 
   * @param toPrint
   *          the message to print
   * @return String the read line
   */
  public static String Line(String toPrint) {
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    System.out.print(toPrint + ":");
    String s = "";
    try {
      s = in.readLine();
    } catch (Exception e) {
      s = "";
    }
    return s;
  }
}