/*
 * ClientTCPProps.java
 *
 * Copyright 2004 Coravu Publications All Rights Reserved.
 * 
 * This file is part of the DBAbstract Project.

 * The DBAbstract Project is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * The DBAbstract Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with the DBAbstract Project; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * http://www.raducora.ro
 * 
 * CONTACT: email = radu_coravu@sync.ro
 */
package ro.raducora.utils.props;

/**
 * @author Radu Coravu
 *  
 */
public interface ClientTCPProps extends Props{

  /**
   * Gets Server IP for the specific key
   * 
   * @param dbname
   *          Key to search
   * @return the Server IP or hostname(without port) to connect to
   */
  public String getServerIP(String dbname);

  /**
   * Gets Server PORT for the specific key
   * 
   * @param dbname
   *          Key to search
   * @return the Server PORT to connect to
   */
  public int getServerPORT(String dbname);
}
