/*
 * Resolver.java
 *
 * Copyright 2004 Coravu Publications All Rights Reserved.
 * 
 * This file is part of the DBAbstract Project.

 * The DBAbstract Project is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * The DBAbstract Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with the DBAbstract Project; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * http://www.raducora.ro
 * 
 * CONTACT: email = radu_coravu@sync.ro
 */
package ro.raducora.utils.props;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.net.URLConnection;

/**
 * @author Radu<br>
 * 
 * Created on 06.03.2004
 */
public class Resolver {

    /**
     * Solves a String representing a filename ,absolute path ,or URL to an
     * InputStream
     * 
     * @param systemID
     *          the systemID to solve
     * 
     * @return the resolved InputStream
     */
    public static InputStream solveSource(String systemID) throws IOException {
        {
            if (systemID.indexOf("http") != -1
                    || systemID.indexOf("www.") != -1) {
                // Its a web address
                systemID = removeEscapeCharacters(systemID);
                URL url = new URL(systemID);
                URLConnection uc = url.openConnection();
                return uc.getInputStream();
            } else
                return new FileInputStream(systemID);
        }
    }

    private static String removeEscapeCharacters(String link) {
        int state = 0;
        String temp = "", retVal = "";
        for (int i = 0; i < link.length(); i++) {
            char ch = link.charAt(i);
            if (state == 4) {
                state = 0;
            }
            if (ch == '#' && state == 0) {
                state = 1;
                continue;
            }
            if (state == 1) {
                if (ch == '3') {
                    state = 2;
                    continue;
                } else {
                    state = 0;
                    retVal += temp;
                }
            }
            if (state == 2) {
                if (ch == '8') {
                    state = 3;
                    continue;
                } else {
                    state = 0;
                    retVal += temp;
                }
            }
            if (state == 3) {
                if (ch == ';') {
                    state = 4;
                    continue;
                } else {
                    state = 0;
                    retVal += temp;
                }
            }
            if (state == 0)
                retVal += ch;
            else
                temp += ch;
        }
        return retVal;
    }
}
