/*
 * RedirectException.java
 * 
 * Copyright 2004 Coravu Publications All Rights Reserved.
 * 
 * This file is part of the DBAbstract Project.
 * 
 * The DBAbstract Project is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * The DBAbstract Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * the DBAbstract Project if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * http://www.raducora.ro
 * 
 * CONTACT: email = radu_coravu@sync.ro
 */
package ro.raducora.utils.protocol;

/**
 * @author Radu Coravu<br>
 * 
 * Created on May 8, 2004
 */
public class RedirectException extends Exception {

  private String redirectHost = null;

  private int redirectPort = 0;

  /**
   * Constructor
   * 
   * @param redirectHost
   *          the host to redirect to
   * @param redirectPort
   *          the port to redirect to
   */
  public RedirectException(String redirectHost, int redirectPort) {
    super("Redirect Exception");
    this.redirectHost = redirectHost;
    this.redirectPort = redirectPort;
  }

  /**
   * Get the host to redirect to
   * 
   * @return the host to redirect to
   */
  public String getRedirectHost() {
    return redirectHost;
  }

  /**
   * Get the PORT to redirect to
   * 
   * @return the host to redirect to
   */
  public int getRedirectPort() {
    return redirectPort;
  }

}
